Subject: Re: bug#40059: lisp-mode indentation not aligned vertically

From: Spenser Truex <[email-masked]>
Date: Sun, 15 Mar 2020 09:00:06 -0700

Noam Postavsky <[email-masked]> writes:

> Spenser Truex <[email-masked]> writes:
>
>> Here is a very simple example:
>>
>> (:a :b
>>  :c
>>     :d
>>  :e)
>
> I'm not able to reproduce this.  I tested on 27.0.90 and 26.3.  I get
>
> (:a :b
>     :c
>     :d
>     :e)
>
> in both lisp-mode and emacs-lisp-mode.

Just to be clear, the process is such:

0. Open a buffer (eg. *scratch*) and M-x lisp-mode
1. Paste the sample into a buffer with the cursor at |
|(:a :b
    :c
    :d
    :e)
2. Run `indent-sexp'
3. Should look like this if reproduced successfully

(:a :b
 :c
    :d
 :e)

If that doesn't work, try placing the cursor on each line and run
`indent-for-tab-command'.

-- 
Spenser Truex
spensertruex.com
San Francisco, USA